package com.sqx.modules.firstLogin.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sqx.modules.firstLogin.dao.HrDao;
import com.sqx.modules.firstLogin.entity.HrEntity;
import com.sqx.modules.firstLogin.service.HrService;
import org.springframework.stereotype.Service;

@Service
public class HrServiceImpl extends ServiceImpl<HrDao, HrEntity> implements HrService {

    @Override
    public HrEntity getByUserId(String userId) {
        QueryWrapper<HrEntity> queryWrapper =new QueryWrapper<>();
        queryWrapper.eq("user_id",userId);
        return  baseMapper.selectOne(queryWrapper);
    }
}
